# Class SpeciesFormEvolution

#### Hierarchy (view full)

- SpeciesFormEvolution
  - SpeciesEvolution
  - FusionSpeciesFormEvolution

- Defined in src/data/pokemon-evolutions.ts:60

#####
Index

### Constructors

constructor

### Properties

condition
evoFormKey
item
level
preFormKey
speciesId
wildDelay

## Constructors

### constructor

- new SpeciesFormEvolution(speciesId, preFormKey, evoFormKey, level, item, condition, wildDelay?): SpeciesFormEvolution

- #### Parameters

  - speciesId: Species
  - preFormKey: string
  - evoFormKey: string
  - level: number
  - item: EvolutionItem
  - condition: SpeciesEvolutionCondition
  - `Optional` wildDelay: SpeciesWildEvolutionDelay

  #### Returns SpeciesFormEvolution

  - Defined in src/data/pokemon-evolutions.ts:69

## Properties

### condition

condition: SpeciesEvolutionCondition

- Defined in src/data/pokemon-evolutions.ts:66

### evoFormKey

evoFormKey: string

- Defined in src/data/pokemon-evolutions.ts:63

### item

item: EvolutionItem

- Defined in src/data/pokemon-evolutions.ts:65

### level

level: number

- Defined in src/data/pokemon-evolutions.ts:64

### preFormKey

preFormKey: string

- Defined in src/data/pokemon-evolutions.ts:62

### speciesId

speciesId: Species

- Defined in src/data/pokemon-evolutions.ts:61

### wildDelay

wildDelay: SpeciesWildEvolutionDelay

- Defined in src/data/pokemon-evolutions.ts:67